//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "FMX.frxChart"
#pragma link "FMX.frxClass"
#pragma link "FMX.frxDBSet"
#pragma link "FMXTee.DBChart"
#pragma resource "*.fmx"
TfMain *fMain;
//---------------------------------------------------------------------------
__fastcall TfMain::TfMain(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfMain::bChartClick(TObject *Sender)
{
 int i ;

 BindSourceDB1->DataSource = 0 ;
 FDMemTable->EmptyDataSet() ;
 FDMemTable->Append() ;
 FDMemTable->FieldValues["ID"]     = 1 ;
 FDMemTable->FieldValues["Input"]  = 10 ;
 FDMemTable->FieldValues["Output"] = 20 ;

 FDMemTable->Append() ;
 FDMemTable->FieldValues["ID"]     = 2 ;
 FDMemTable->FieldValues["Input"]  = 20 ;
 FDMemTable->FieldValues["Output"] = 40 ;
 FDMemTable->Post() ;
 BindSourceDB1->DataSource = dsFDMemTable ;

 Series1->Clear() ;
 Series2->Clear() ;
 FDMemTable->First() ;

 do
  {
   Series1->AddXY(FDMemTable->FieldByName("ID")->AsInteger, FDMemTable->FieldByName("Input")->AsInteger, "", TAlphaColor(claBlack)) ;
   Series2->AddXY(FDMemTable->FieldByName("ID")->AsInteger, FDMemTable->FieldByName("Output")->AsInteger, "", TAlphaColor(claBlack)) ;

   FDMemTable->Next() ;
  }while(!FDMemTable->Eof) ;
}
//---------------------------------------------------------------------------
void __fastcall TfMain::bConnectClick(TObject *Sender)
{
 Series3->DataSource = FDMemTable ;
 Series4->DataSource = FDMemTable ;

 Series3->XLabelsSource = "ID" ;
 Series4->XLabelsSource = "ID" ;

 Series3->YValues->ValueSource = "Input" ;
 Series4->YValues->ValueSource = "Output" ;
}
//---------------------------------------------------------------------------

void __fastcall TfMain::bReportClick(TObject *Sender)
{
 frxReport1->ShowReport() ;
}
//---------------------------------------------------------------------------

